about summary refs log tree commit diff stats
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xhm/soispha/pkgs/scripts/wrappers/neorg4
1 files changed, 2 insertions, 2 deletions
diff --git a/hm/soispha/pkgs/scripts/wrappers/neorg b/hm/soispha/pkgs/scripts/wrappers/neorg
index af8d990d..9d45e17c 100755
--- a/hm/soispha/pkgs/scripts/wrappers/neorg
+++ b/hm/soispha/pkgs/scripts/wrappers/neorg
@@ -146,10 +146,10 @@ PROJECT_open_context_in_browser() {
 DMENU_open_context_in_browser() {
     project="$(echo "%ALL_PROJECTS_PIPE" | rofi -sep "|" -dmenu)";
     if [ "$project" ]; then
-        PROJECT_open_context_in_browser "$current_context";
+        PROJECT_open_context_in_browser "$project";
     else
         current_context="$(UTILS_get_current_context)";
-        [ "$current_context" ] || notify-send "No current context"
+        [ "$current_context" ] || (notify-send "(Neorg) No current context"; exit 1)
         PROJECT_open_context_in_browser "$current_context";
     fi
 }